Bug 15527

Summary: 3D application 'doom3' run abort
Product: Mesa Reporter: Colin.Joe <lerui.zhu>
Component: Drivers/DRI/i915Assignee: Zou Nan hai <nanhai.zou>
Status: VERIFIED FIXED QA Contact:
Severity: normal    
Priority: medium CC: dri-devel, lerui.zhu, shuang.he
Version: git   
Hardware: Other   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:
Attachments: Xorg.0.log

Description Colin.Joe 2008-04-15 23:34:14 UTC
System Environment:
--------------------------

--Platform:915 965 
--Architecture(32-bit,64-bit,compatiblity):all 
--2D driver:commit 24248097988775d62f6c416f2988e74d31c91cd0

--3D driver:commit 32134b5508495fbb1d9fc2f844e22fbb082dcda6

--DRM:commit b986d7d2c9090fc62c1853f62886dd124e8066c1


--Xserver:commit3e12c5bb67f3049156475d5cbf4e899aaded76bb

--Kernel:2.6.25.rc3

Bug detailed description:
--------------------------
startx ,run doom3 , the game will run abort, and print: 
WARNING: vertex array range in virtual memory (SLOW)
signal caught: Segmentation fault
si_code 1
Trying to exit gracefully..
idRenderSystem::Shutdown()



Reproduce steps:
----------------
startx , run doom3 


Current result:
----------------
the game will run abort 


Expected result:
----------------
run normally
Comment 1 Colin.Joe 2008-04-15 23:39:59 UTC
Created attachment 15946 [details]
Xorg.0.log
Comment 2 Colin.Joe 2008-04-22 01:59:48 UTC
this case can run fine on 32bit 965.
Comment 3 Colin.Joe 2008-04-24 00:10:32 UTC
veri
Comment 4 Colin.Joe 2008-04-24 00:11:07 UTC
verided.
Comment 5 Colin.Joe 2008-04-24 00:13:56 UTC
Using the master tip mesa .this bug can't be reproduced.Verified . 
Comment 6 Adam Jackson 2009-08-24 12:29:55 UTC
Mass version move, cvs -> git

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.